RhinoCommon OnMouseDown Mouse Click Handled
@gordon wrote: Hi,In Rhino SDK .NET I was using: public override bool OnMouseDown(MRhinoView view, mouse_button button, uint flags, Point point) This had a bool you could return as true to say that...
View ArticleSet material color of a layer
@samlochner wrote: I can set the color of the layer like this: MyLayer.Color = Drawing.Color.LightBlue Is there a similarly simple way I can set the material color for that layer? Thanks,Sam Posts: 4...
View ArticleProblem with RUI file loading
@TobyLai wrote: I have created a RUI file for my plugins. The RUI file is located in C:\Users\TobyLai\AppData\Roaming\McNeel\Rhinoceros\5.0\Plug-ins\MyPlugins...
View ArticleHow to access RhinoDoc Instance From dockable panel button
@Katsu wrote: Hi All, I need to use RhinoCommon Functions that needed RhinoDoc Instance from a button on my Plugin Panel . How can I do that ? Posts: 2 Participants: 2 Read full topic
View ArticleRhino->DXF Export Circle Question
@sebastian_w wrote: Hi there,a little bit offtopic, but i guess here could be the right place getting an answer.When I got a Circle (WorldCoordinates of the center f.e. 30,30,30) and a Norm...
View ArticleZoomExtentsSelected() does not work the first time
@TobyLai wrote: I am trying to write a command to add new layout for the selected object. With all the selected object, one of the object has to be a Text entity such that the new layout will be named...
View ArticleAbout Random in for loop
@daizhuo wrote: List<int> intnum = new List<int>(); for(int i = 0;i < 10;i++) { Random rnd = new Random(); int num = rnd.Next(0, 2); if(num == 0) { intnum.Add(num); } } A = intnum; In...
View ArticleON_RevSurface->Ev1Der() get error at end points of reference curve
@jihuomail wrote: Hi all, I know the revolution surface is generated by a reference curve rotating around a fixed axis, like a sphere/hemisphere, but when I try to use ON_RevSurface->Ev1Der(...) to...
View ArticleExtract faces from an Extrusion
@caglaraydin wrote: I am trying to extract faces of an extrusion; however, couldn't find any solution by myself. Is there any way to get them or should I use sth different than Extrusion? // TODO:...
View ArticlePanel"">How to display visible checkbox my Custom Panel in "menu>Panel"
@Katsu wrote: I created my custom panel like this sample code, How to Create Custom Panels in Rhino Rhino Developer I want to create a custom panel very similar to the Layers panel in Rhino/Matrix, to...
View ArticleSet Mesh Vertex Color
@samlochner wrote: I would like to change the color of a mesh vertex. I tried to see if I could turn a meshes points on to see the vertices, and then click on one, but from there I couldn't find any...
View ArticleGeometryBase to OnObject and Back
@gordon wrote: Hi,So in our goal to get our code ready for Rhino 6, we are doing a bunch of RhinoCommon conversion, and along the way a lot of Interop's are happening between converted RhinoCommon...
View ArticleGenerating a "mesh-like" SweepOneRail
@PaulPoinet wrote: 2016-08-16_14-51-35.jpg2361x854 195 KB Dear all, I am using the SweepOneRail class in order to generate the surface above. There are two section curves (the thick black lines) and a...
View ArticleInstanceobject selection object
@serdem wrote: Hello,I want to get a curve in a instanceobject, is there a way to get it (like objrf.selectionobject)? I select the block from the curve on it, and i want to use it. Dim rc =...
View ArticleIntersecting two spheres C++
@dimcic wrote: Hi, I was wondering what the fastest method to create and intersect two spheres is? I have to do this hundreds of times in a loop and it is going pretty slowly...so what I am doing is...
View ArticleEvents fired during/after input?
@SEANT wrote: Does Rhino have Events comparable to AutoCAD's Editor.PromptingForDistance, .PromptingForAngle, .PromptingForPoint? I can't seem to find anything in the RhinoCommon docs. Am I missing a...
View ArticleScreen point to world xz plane or world zy plane in c#
@pythonuser wrote: Hi: Rhino.Display.RhinoView view = doc.Views.ActiveView;Rhino.Geometry.Transform xform = view.ActiveViewport.GetTransform( Rhino.DocObjects.CoordinateSystem.Screen,...
View ArticleLine perpendicular to 4 other lines
@jordy1989 wrote: Hi all, I am struggling and need some help. I have been trying to get a line perpendicular to 4 lines where the end point is the same. Hereby an image: example.png1190x886 9.48 KB...
View ArticleCRhinoUiBitmapButton
@fthomas wrote: How does CRhinoUiBitmapButton works ?If aBUTTON is a CRhinoUiBitmapButton :bool bLOAD = aBUTTON .LoadBitmap( IDB ); does'nt work... No image are drawn on the button... An idea ?...
View ArticleDeploy RhinoCommon Plugin, Installer & Auto register to Rhino
@Katsu wrote: I'd like to know all about Deploing RhinoCommon Plugin ( using C#) , Installer & Auto register to Rhino. I created my plugin&python scripts in my computer. Recently, My friends...
View Article